#language: ru

@tma

Функционал: 008. Tma. Создание истории продаж

Сценарий: 008.1. Tma. Создание истории продаж
	
	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.РеализацияТоваровУслуг" без контроля ссылок
	И Я начинаю создавать реализацию товаров на дату "11.06.2019"
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Лента'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Лента. Бор'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Брынза" с характеристикой "Фасованный 200 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Брынза" с характеристикой "Фасованный 300 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Брынза" с характеристикой "Фасованный 500 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Фета" с характеристикой "Фасованный 200 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Фета" с характеристикой "Фасованный 300 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Фета" с характеристикой "Фасованный 500 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Сливочный сыр" с характеристикой "Фасованный 200 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Сливочный сыр" с характеристикой "Фасованный 300 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Сливочный сыр" с характеристикой "Фасованный 500 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Сливочный сыр с ветчиной" с характеристикой "Фасованный 200 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Сливочный сыр с ветчиной" с характеристикой "Фасованный 300 гр" в количестве "100,000"
	И Я добавляю в заказ клиента номенклатуру "Сливочный сыр с ветчиной" с характеристикой "Фасованный 500 гр" в количестве "100,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'             | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'          | 'Вес, кг' |
		| '100,000'    | 'Брынза'                   | 'кг'  | ''      | '120,00'               | 'Фасованный 200 гр' | '12 000,00'  | '<не используются>' | '100,000, кг'    | '120,00'    | ''          | '12 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Брынза'                   | 'кг'  | ''      | '120,00'               | 'Фасованный 300 гр' | '12 000,00'  | '<не используются>' | '100,000, кг'    | '120,00'    | ''          | '12 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Брынза'                   | 'кг'  | ''      | '120,00'               | 'Фасованный 500 гр' | '12 000,00'  | '<не используются>' | '100,000, кг'    | '120,00'    | ''          | '12 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Фета'                     | 'кг'  | ''      | '110,00'               | 'Фасованный 200 гр' | '11 000,00'  | '<не используются>' | '100,000, кг'    | '110,00'    | ''          | '11 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Фета'                     | 'кг'  | ''      | '110,00'               | 'Фасованный 300 гр' | '11 000,00'  | '<не используются>' | '100,000, кг'    | '110,00'    | ''          | '11 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Фета'                     | 'кг'  | ''      | '110,00'               | 'Фасованный 500 гр' | '11 000,00'  | '<не используются>' | '100,000, кг'    | '110,00'    | ''          | '11 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Сливочный сыр'            | 'кг'  | ''      | '100,00'               | 'Фасованный 200 гр' | '10 000,00'  | '<не используются>' | '100,000, кг'    | '100,00'    | ''          | '10 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Сливочный сыр'            | 'кг'  | ''      | '100,00'               | 'Фасованный 300 гр' | '10 000,00'  | '<не используются>' | '100,000, кг'    | '100,00'    | ''          | '10 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Сливочный сыр'            | 'кг'  | ''      | '100,00'               | 'Фасованный 500 гр' | '10 000,00'  | '<не используются>' | '100,000, кг'    | '100,00'    | ''          | '10 000,00'  | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Сливочный сыр с ветчиной' | 'кг'  | ''      | '90,00'                | 'Фасованный 200 гр' | '9 000,00'   | '<не используются>' | '100,000, кг'    | '90,00'     | ''          | '9 000,00'   | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Сливочный сыр с ветчиной' | 'кг'  | ''      | '90,00'                | 'Фасованный 300 гр' | '9 000,00'   | '<не используются>' | '100,000, кг'    | '90,00'     | ''          | '9 000,00'   | 'Сырная ГП(ТМА)' | '100'     |
		| '100,000'    | 'Сливочный сыр с ветчиной' | 'кг'  | ''      | '90,00'                | 'Фасованный 500 гр' | '9 000,00'   | '<не используются>' | '100,000, кг'    | '90,00'     | ''          | '9 000,00'   | 'Сырная ГП(ТМА)' | '100'     |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Контрагент' | 'Организация' | 'Ответственный' | 'Соглашение'           | 'Статус'       | 'Сумма'           | 'Точка доставки' |
		| '11.06.2019' | 'Лента'      | 'Организация' | 'Администратор' | 'Соглашение для Ленты' | 'Сформирована' | '126 000,00, RUB' | 'Лента. Бор'     |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '12.06.2019  0:00:00'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Лента. Нижний Новгород'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Контрагент' | 'Организация' | 'Ответственный' | 'Соглашение'           | 'Статус'       | 'Сумма'           | 'Точка доставки'         |
		| '12.06.2019' | 'Лента'      | 'Организация' | 'Администратор' | 'Соглашение для Ленты' | 'Сформирована' | '126 000,00, RUB' | 'Лента. Нижний Новгород' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '12.06.2019  0:00:00'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Магнит'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Магнит. Бор'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Контрагент' | 'Организация' | 'Ответственный' | 'Соглашение'             | 'Статус'       | 'Сумма'           | 'Точка доставки' |
		| '12.06.2019' | 'Магнит'     | 'Организация' | 'Администратор' | 'Соглашение для Магнита' | 'Сформирована' | '126 000,00, RUB' | 'Магнит. Бор'    |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '13.06.2019  0:00:00'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Магнит. Нижний Новгород'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 008.2. Tma. Завершение

	И Я закрыл все окна клиентского приложения